Processors::Info(3)

NAME
Unix::Processors::Info - Interface to processor (CPU) information

SYNOPSIS
  use Unix::Processors;

  ...
  $aproc = $proc->processors[0];
      print ($aproc->id, $aproc->state, $aproc->clock);
  }

DESCRIPTION
This package provides access to per-processor (CPU) information from the operating system in a OS independent manner.

id  Return the cpu number of this processor.

clock
    Return the clock frequency in MHz.

state
    Return the cpu state as "online", "offline", or "poweroff".

type
    Return the cpu type.

SEE ALSO
"Unix::Processors",

DISTRIBUTION
The latest version is available from CPAN.

AUTHORS
Wilson Snyder <wsnyder@wsnyder.org>